\def\filedate{2011/06/15}
\def\fileversion{1.0}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{s4g}

\LoadClass[12pt,a4paper,twoside]{article}

\usepackage{fancyhdr}

\newtoks\SG@Author
\newtoks\SG@AuthorCont
\newtoks\SG@Address
\newtoks\SG@Title
\newtoks\SG@Abstract
\newtoks\SG@Keywords
\newtoks\SG@Email
\newtoks\SG@ConfSection

\pagestyle{fancy}
\setlength{\headwidth}{160mm}
\fancyhf{}
\fancyhead[LE]{{S$^4$G'2012}}
\fancyhead[RO]{\the\SG@ConfSection}
%\lhead[]{}
%\chead[]{}
%\rhead[]{\MakeUppercase{\the\SG@Title}}
%\rhead[]{\the\SG@ConfSection}
%\cfoot[\thepage]{\thepage}
\fancyfoot[LE,RO]{\bfseries\thepage}
\renewcommand{\headrulewidth}{0pt}

\fancypagestyle{FirstPage}
{
   \fancyhead[RE,RO]{}
%  \fancyfoot[CO,CE]{}
  \renewcommand{\headrulewidth}{0pt}
}

\setlength{\topmargin}{0pt}
\setlength{\parskip}{0pt}

%\newcommand{\Author}[1]{\SG@Author={\sc{#1}}}

\newcommand{\ConfSec}[1]{\SG@ConfSection={#1}}
\newcommand{\ConfSection}{{\fontfamily{cmss}{\LARGE\textbf{\MakeUppercase{\the\SG@ConfSection}}}}\\[9pt]
\addcontentsline{toc}{section}{{\fontfamily{cmss}{\large\bf{\the\SG@ConfSection}}}}}
\newcommand{\Title}[1]{\SG@Title={#1}}
\newcommand{\Author}[2]{\SG@Author={#1} \SG@AuthorCont={#2}} %\sc
\newcommand{\Address}[1]{\SG@Address={#1}}
\newcommand{\Email}[1]{\SG@Email={#1}}
\newcommand{\Abstract}[1]{\SG@Abstract={#1}}
\newcommand{\Keywords}[1]{\SG@Keywords={#1}}

\newcommand{\PrintAbstract}
{{\fontfamily{cmss}\Large\textbf{\the\SG@Title}}\\[6pt]
 {\fontfamily{cmss}\large{\the\SG@Author}}\\[6pt]
 \parbox{\textwidth}{\the\SG@Address}\\[6pt]
 {Email: \the\SG@Email}\\[12pt]
 {\bf Abstract}\\[6pt]
 %\parbox{\textwidth}{\the\SG@Abstract}
 \the\SG@Abstract
 \addcontentsline{toc}{section}{{\textmd{\the\SG@AuthorCont:~\the\SG@Title}}}}
 
 
\newcounter{tab}
\newcommand{\captiontab}[1]{\refstepcounter{tab}\parbox{142mm}{\it{\vspace{0.3cm}Table~\thetab: #1}}}

\newcounter{fig}
\newcommand{\captionfig}[1]{\refstepcounter{fig}\parbox{142mm}{\it{\vspace{0.3cm}Figure~\thefig: #1}}}


\def\refname{References}


\hoffset -1in 
\voffset -1in 
\headheight 14pt 
\headsep 8.3mm
\topmargin 12.5mm
\oddsidemargin  25mm     %   Left margin on odd-numbered pages.
\evensidemargin 25mm     %   Left margin on even-numbered pages.
\textwidth   160mm       %   Width of text line.
\textheight  246mm 

\parindent 0mm
\parskip 0mm

\endinput
